Index: src/mlx/gui/timetable.py
===================================================================
--- src/mlx/gui/timetable.py	(revision 927)
+++ src/mlx/gui/timetable.py	(revision 879)
@@ -4,5 +4,5 @@
 
 from mlx.gui.common import *
-from .flightlist import ColumnDescriptor
+from flightlist import ColumnDescriptor
 from mlx.rpc import ScheduledFlight
 
@@ -82,4 +82,6 @@
         self._view = gtk.TreeView(self._model)
 
+        self._tooltips = gtk.Tooltips()
+        self._tooltips.disable()
         self._view.connect("motion-notify-event", self._updateTooltip)
 
@@ -223,5 +225,6 @@
             result = widget.get_path_at_pos( int(event.x), int(event.y))
             if result is None:
-                widget.set_tooltip_text("")
+                self._tooltips.set_tip(widget, "")
+                self._tooltips.disable()
             else:
                 (path, col, x, y) = result
@@ -241,18 +244,13 @@
                         text += date.strftime("%Y-%m-%d")
 
-                    widget.set_tooltip_text(text)
+                    self._tooltips.set_tip(widget, text)
+                    self._tooltips.enable()
                 else:
-                    widget.set_tooltip_text("")
-        except Exception as e:
-            print(e)
-            widget.set_tooltip_text("")
-
-#-----------------------------------------------------------------------------
-
-gobject.signal_new("row-activated", Timetable, gobject.SIGNAL_RUN_FIRST,
-                   None, (int,))
-
-gobject.signal_new("selection-changed", Timetable, gobject.SIGNAL_RUN_FIRST,
-                   None, (object,))
+                    self._tooltips.set_tip(widget, "")
+                    self._tooltips.disable()
+        except Exception, e:
+            print e
+            self._tooltips.set_tip(widget, "")
+            self._tooltips.disable()
 
 #-----------------------------------------------------------------------------
@@ -522,6 +520,5 @@
                                         xscale = 1.0, yscale = 1.0)
 
-        filterFrame = gtk.Frame()
-        filterFrame.set_label(xstr("timetable_filter"))
+        filterFrame = gtk.Frame(xstr("timetable_filter"))
 
         filterVBox = gtk.VBox()
@@ -659,5 +656,5 @@
             typeFamilies.add(const.aircraftType2Family(aircraftType))
 
-        for (typeFamily, checkButton) in self._typeFamilyButtons.items():
+        for (typeFamily, checkButton) in self._typeFamilyButtons.iteritems():
             checkButton.set_sensitive(typeFamily in typeFamilies)
 
@@ -715,5 +712,5 @@
         """Update the timetable list."""
         aircraftTypes = []
-        for (aircraftFamily, button) in self._typeFamilyButtons.items():
+        for (aircraftFamily, button) in self._typeFamilyButtons.iteritems():
             if button.get_active():
                 aircraftTypes += const.aircraftFamily2Types[aircraftFamily]
@@ -755,5 +752,5 @@
         planes = [plane for plane in fleet
                   if plane.aircraftType == aircraftType]
-        planes.sort(key = lambda p: p.tailNumber)
+        planes.sort(cmp = lambda p1, p2: cmp(p1.tailNumber, p2.tailNumber))
 
         dialog = BookDialog(self, flightPair, planes)
Index: src/mlx/i18n.py
===================================================================
--- src/mlx/i18n.py	(revision 928)
+++ src/mlx/i18n.py	(revision 298)
@@ -24,5 +24,5 @@
 def setLanguage(programDirectory, language):
     """Setup the internationalization support for the given language."""
-    print("i18n.setLanguage", language)
+    print "i18n.setLanguage", language
     translation = _getTranslation(programDirectory, language)
     fallback = _getFallbackFor(programDirectory, language)
@@ -51,5 +51,5 @@
     If not found, the fallback language is searched. If that is not found
     either, the key itself is returned within curly braces."""
-    return _translation.gettext(key)
+    return _translation.ugettext(key)
     
 #------------------------------------------------------------------------------
Index: src/mlx/logger.py
===================================================================
--- src/mlx/logger.py	(revision 921)
+++ src/mlx/logger.py	(revision 634)
@@ -1,11 +1,10 @@
 
-from .fs import sendMessage
-from . import const
-from . import util
+from fs import sendMessage
+import const
+import util
 
 import sys
 import time
 import bisect
-from functools import total_ordering
 
 #--------------------------------------------------------------------------------------
@@ -35,5 +34,4 @@
     increasing IDs."""
 
-    @total_ordering
     class Entry(object):
         """An entry in the log."""
@@ -121,19 +119,13 @@
                                 id = self._id)
 
-        def __eq__(self, other):
-            """Equality comparison"""
-            return self._timestamp == other.timestamp and \
-                self._id == other._id
-
-        def __ne__(self, other):
-            """Non-equality comparison"""
-            return self._timestamp != other.timestamp or \
-                self._id != other._id
-
-        def __lt__(self, other):
-            """Less-than comparison"""
-            return self._timestamp < other.timestamp or \
-                (self._timestamp == other.timestamp and
-                 self._id < other._id)
+        def __cmp__(self, other):
+            """Compare two entries
+
+            First their timestamps are compared, and if those are equal, then
+            their IDs."""
+            result = cmp(self._timestamp, other.timestamp)
+            if result==0:
+                result = cmp(self._id, other._id)
+            return result
 
     class Fault(object):
@@ -243,5 +235,5 @@
     def debug(self, msg):
         """Log a debug message."""
-        print("[DEBUG]", msg)
+        print "[DEBUG]", msg
 
     def stage(self, timestamp, stage):
@@ -334,5 +326,5 @@
         """Get the rating of the flight so far."""
         totalScore = 100
-        for fault in self._faults.values():
+        for fault in self._faults.itervalues():
             score = fault.score
             if score==Logger.NO_GO_SCORE:
Index: src/mlx/mlx.py
===================================================================
--- src/mlx/mlx.py	(revision 919)
+++ src/mlx/mlx.py	(revision 800)
@@ -1,9 +1,9 @@
 
-from .config import Config
-from .i18n import setLanguage
-from .sound import preInitializeSound, initializeSound, finalizeSound
-from .util import secondaryInstallation
-from .const import VERSION
-from .watchdog import Watchdog
+from config import Config
+from i18n import setLanguage
+from sound import preInitializeSound, initializeSound, finalizeSound
+from util import secondaryInstallation
+from const import VERSION
+from watchdog import Watchdog
 
 import os
@@ -60,5 +60,5 @@
 def main():
     """The main operation of the program."""
-    from .singleton import SingleInstance, raiseCallbackWrapper
+    from singleton import SingleInstance, raiseCallbackWrapper
 
     global instance
@@ -86,6 +86,6 @@
     sys.stderr = StdIOHandler(gui)
 
-    print("MAVA Logger X " + VERSION + " debug log")
-    print("The initial configuration:")
+    print "MAVA Logger X " + VERSION + " debug log"
+    print "The initial configuration:"
     config.log()
 
Index: src/mlx/pirep.py
===================================================================
--- src/mlx/pirep.py	(revision 919)
+++ src/mlx/pirep.py	(revision 856)
@@ -1,8 +1,8 @@
 
-from .util import utf2unicode
-from .flight import Flight
-
-from . import const
-import pickle as pickle
+from util import utf2unicode
+from flight import Flight
+
+import const
+import cPickle as pickle
 import calendar
 import datetime
@@ -65,5 +65,5 @@
     def decodeFlightTypeText(s):
         """Decode the given flight type text."""
-        for (flighType, text) in PIREP._flightTypes.items():
+        for (flighType, text) in PIREP._flightTypes.iteritems():
             if s==text:
                 return flighType
@@ -124,7 +124,7 @@
                     pirep.mailWeight = pirep.bookedFlight.mailWeight
                 return pirep
-        except Exception as e:
-            print("Failed loading PIREP from %s: %s" % (path,
-                                                        utf2unicode(str(e))))
+        except Exception, e:
+            print "Failed loading PIREP from %s: %s" % (path,
+                                                        utf2unicode(str(e)))
             return None
 
@@ -367,7 +367,7 @@
                 pickle.dump(self, f)
             return None
-        except Exception as e:
+        except Exception, e:
             error = utf2unicode(str(e))
-            print("Failed saving PIREP to %s: %s" % (path, error))
+            print u"Failed saving PIREP to %s: %s" % (path, error)
             return error
 
Index: src/mlx/pyuipc_emu.py
===================================================================
--- src/mlx/pyuipc_emu.py	(revision 919)
+++ src/mlx/pyuipc_emu.py	(revision 298)
@@ -217,9 +217,9 @@
             results.append(int(vs / 60.0 * 0.3048 * 256))
         elif offset==0x0560:  # Latitude
-            results.append(int(latitude*10001750.0*65536.0*65536.0/90.0))
+            results.append(long(latitude*10001750.0*65536.0*65536.0/90.0))
         elif offset==0x0568:  # Longitude
-            results.append(int(longitude*65536.9*65536.0*65536.0*65536.0/360.0))
+            results.append(long(longitude*65536.9*65536.0*65536.0*65536.0/360.0))
         elif offset==0x0570:  # Aircraft altitude in metres (fractional part)
-            results.append(int( (altitude*0.3048*65536*65536)%(65536*65536)))
+            results.append(long( (altitude*0.3048*65536*65536)%(65536*65536)))
         elif offset==0x0574:  # Aircraft altitude in metres (whole part)
             results.append(int(altitude*.3048))
@@ -237,15 +237,15 @@
             centre_fuel = fuel_remaining - 2*side_tank_capacity
             if centre_fuel<0: centre_fuel = 0.0
-            results.append(int(round(centre_fuel/centre_tank_capacity*128.0*65536.0)))
+            results.append(long(round(centre_fuel/centre_tank_capacity*128.0*65536.0)))
         elif offset==0x0b78:  # Centre tank capacity (gallons)
-            results.append(int(round(centre_tank_capacity*KGTOLBS/fuel_weight)))
+            results.append(long(round(centre_tank_capacity*KGTOLBS/fuel_weight)))
         elif offset==0x0b7c or \
              offset==0x0b94:  # Left and right main tank level (%*128*65536)
             fuel = fuel_remaining/2
             if fuel>side_tank_capacity: fuel = side_tank_capacity
-            results.append(int(round(fuel/side_tank_capacity*128.0*65536.0)))
+            results.append(long(round(fuel/side_tank_capacity*128.0*65536.0)))
         elif offset==0x0b80 or \
              offset==0x0b98:  # Left and right main tank capacity (gallons)
-            results.append(int(round(side_tank_capacity*KGTOLBS/fuel_weight)))
+            results.append(long(round(side_tank_capacity*KGTOLBS/fuel_weight)))
         elif offset in [0x0b84, 0x0b88, 0x0b8c, 0x0b90,
                         0x0b9c, 0x0ba0, 0x0ba4, 0x0ba8,
@@ -253,5 +253,5 @@
                         0x1254, 0x1258, 0x125c, 0x1260]:
                               # Other tank capacities and levels
-            results.append(int(0))
+            results.append(long(0))
         elif offset==0x023a:  # Second of time
             results.append(int(tm[5]))
Index: src/mlx/pyuipc_sim.py
===================================================================
--- src/mlx/pyuipc_sim.py	(revision 928)
+++ src/mlx/pyuipc_sim.py	(revision 877)
@@ -1,4 +1,4 @@
 
-from . import const
+import const
 
 import cmd
@@ -9,5 +9,5 @@
 import sys
 import struct
-import pickle
+import cPickle
 import math
 
@@ -184,9 +184,9 @@
     def _readBCD(value):
         """Convert the given value into BCD format."""
-        bcd = (value//1000) % 10
+        bcd = (value/1000) % 10
         bcd <<= 4
-        bcd |= (value//100) % 10
+        bcd |= (value/100) % 10
         bcd <<= 4
-        bcd |= (value//10) % 10
+        bcd |= (value/10) % 10
         bcd <<= 4
         bcd |= value % 10
@@ -342,6 +342,6 @@
         try:
             return self._read(offset, type)
-        except Exception as e:
-            print("failed to read offset %04x: %s" % (offset, str(e)))
+        except Exception, e:
+            print "failed to read offset %04x: %s" % (offset, str(e))
             raise FSUIPCException(ERR_DATA)
 
@@ -360,5 +360,5 @@
             return int(index * flapsIncrement +
                        (self.flapsControl-self.flapsNotches[index]) *
-                       flapsIncrement //
+                       flapsIncrement /
                        (self.flapsNotches[index+1] - self.flapsNotches[index]))
 
@@ -414,9 +414,9 @@
             return 1 if self.overspeed else 0
         elif offset==0x0560:       # Latitude
-            return int(self.latitude * 10001750.0 * 65536.0 * 65536.0 / 90.0)
+            return long(self.latitude * 10001750.0 * 65536.0 * 65536.0 / 90.0)
         elif offset==0x0568:       # Longitude
-            return int(self.longitude * 65536.0 * 65536.0 * 65536.0 * 65536.0 / 360.0)
+            return long(self.longitude * 65536.0 * 65536.0 * 65536.0 * 65536.0 / 360.0)
         elif offset==0x0570:       # Altitude
-            return int(self.altitude * const.FEETTOMETRES * 65536.0 * 65536.0)
+            return long(self.altitude * const.FEETTOMETRES * 65536.0 * 65536.0)
         elif offset==0x0578:       # Pitch
             return int(self.pitch * 65536.0 * 65536.0 / 360.0)
@@ -542,5 +542,5 @@
         elif offset>=0x1400 and offset<=0x1f40 and \
              ((offset-0x1400)%48)==0: # Payload
-            return self.payload[ (offset - 0x1400) // 48 ]
+            return self.payload[ (offset - 0x1400) / 48 ]
         elif offset==0x2000:       # Engine #1 N1
             return self.n1[self.ENGINE_1]
@@ -568,5 +568,5 @@
         elif offset>=0x3210 and offset<0x3210+Values.HOTKEY_SIZE*4:
             tableOffset = offset - 0x3210
-            hotkeyIndex = tableOffset // 4
+            hotkeyIndex = tableOffset / 4
             index = tableOffset % 4
             if type=="b" or type=="c":
@@ -584,8 +584,8 @@
                     return value
                 else:
-                    print("Unhandled offset: %04x" % (offset,))
+                    print "Unhandled offset: %04x" % (offset,)
                     raise FSUIPCException(ERR_DATA)
             else:
-                print("Unhandled offset: %04x" % (offset,))
+                print "Unhandled offset: %04x" % (offset,)
                 raise FSUIPCException(ERR_DATA)
         elif offset==0x32fa:       # Message duration
@@ -602,11 +602,11 @@
             return self._getFlapsControl()
         elif offset==0x3bfa:       # Flaps increment
-            return 16383 // (len(self.flapsNotches)-1)
+            return 16383 / (len(self.flapsNotches)-1)
         elif offset==0x3bfc:       # ZFW
             return int(self.zfw * 256.0 * const.KGSTOLB)
         elif offset==0x3c00:       # Path of the current AIR file
-            return bytes(self.airPath, "iso-8859-1")
+            return self.airPath
         elif offset==0x3d00:       # Name of the current aircraft
-            return bytes(self.aircraftName, "iso-8859-1")
+            return self.aircraftName
         elif offset==0x6202:       # PMDG 737NG switches
             return self.pmdg_737ng_switches
@@ -616,5 +616,5 @@
             return 0 if self.xpdrC else 1
         else:
-            print("Unhandled offset: %04x" % (offset,))
+            print "Unhandled offset: %04x" % (offset,)
             raise FSUIPCException(ERR_DATA)
 
@@ -623,8 +623,8 @@
         try:
             return self._write(offset, value, type)
-        except TypeError as e:
+        except TypeError, e:
             raise e
-        except Exception as e:
-            print("failed to write offset %04x: %s" % (offset, str(e)))
+        except Exception, e:
+            print "failed to write offset %04x: %s" % (offset, str(e))
             raise FSUIPCException(ERR_DATA)
 
@@ -758,5 +758,5 @@
         elif offset==0x0bd0:       # Spoilers
             self.spoilters = 0 if value==0 \
-                             else (value - 4800) // (16383 - 4800)
+                             else (value - 4800) / (16383 - 4800)
         elif offset==0x0bdc:       # Flaps control
             numNotchesM1 = len(self.flapsNotches) - 1
@@ -768,5 +768,5 @@
                 self.flapsControl = self.flapsNotches[index]
                 self.flapsControl += (value - index * flapsIncrement) * \
-                    (self.flapsNotches[index+1] - self.flapsNotches[index]) // \
+                    (self.flapsNotches[index+1] - self.flapsNotches[index]) / \
                     flapsIncrement
         elif offset==0x0be0 or offset==0x0be4:    # Flaps left and  right
@@ -816,5 +816,5 @@
         elif offset>=0x1400 and offset<=0x1f40 and \
              ((offset-0x1400)%48)==0: # Payload
-            self.payload[ (offset - 0x1400) // 48 ] = value
+            self.payload[ (offset - 0x1400) / 48 ] = value
         elif offset==0x2000:       # Engine #1 N1
             self.n1[self.ENGINE_1] = value
@@ -840,5 +840,5 @@
         elif offset>=0x3210 and offset<0x3210+Values.HOTKEY_SIZE*4:
             tableOffset = offset - 0x3210
-            hotkeyIndex = tableOffset // 4
+            hotkeyIndex = tableOffset / 4
             index = tableOffset % 4
             if type=="b" or type=="c":
@@ -852,8 +852,8 @@
                     hotkey[3] = (value>>24) & 0xff
                 else:
-                    print("Unhandled offset: %04x for type '%s'" % (offset, type))
+                    print "Unhandled offset: %04x for type '%s'" % (offset, type)
                     raise FSUIPCException(ERR_DATA)
             else:
-                print("Unhandled offset: %04x for type '%s'" % (offset, type))
+                print "Unhandled offset: %04x for type '%s'" % (offset, type)
                 raise FSUIPCException(ERR_DATA)
         elif offset==0x32fa:       # Message duration
@@ -882,5 +882,5 @@
             self.xpdrC = value==0
         else:
-            print("Unhandled offset: %04x" % (offset,))
+            print "Unhandled offset: %04x" % (offset,)
             raise FSUIPCException(ERR_DATA)
 
@@ -1039,5 +1039,5 @@
                 (length,) = struct.unpack("I", clientSocket.recv(4))
                 data = clientSocket.recv(length)
-                (call, args) = pickle.loads(data)
+                (call, args) = cPickle.loads(data)
                 exception = None
 
@@ -1061,14 +1061,14 @@
                     else:
                         break
-                except Exception as e:
+                except Exception, e:
                     exception = e
 
                 if exception is None:
-                    data = pickle.dumps((RESULT_RETURNED, result))
+                    data = cPickle.dumps((RESULT_RETURNED, result))
                 else:
-                    data = pickle.dumps((RESULT_EXCEPTION, str(exception)))
+                    data = cPickle.dumps((RESULT_EXCEPTION, str(exception)))
                 clientSocket.send(struct.pack("I", len(data)) + data)
-        except Exception as e:
-            print("pyuipc_sim.Server._process: failed with exception:", str(e), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, "pyuipc_sim.Server._process: failed with exception:", str(e)
         finally:
             try:
@@ -1112,14 +1112,14 @@
     def quit(self):
         """Quit from the simulator."""
-        data = pickle.dumps((CALL_QUIT, None))
+        data = cPickle.dumps((CALL_QUIT, None))
         self._socket.send(struct.pack("I", len(data)) + data)
 
     def _call(self, command, data):
         """Perform a call with the given command and data."""
-        data = pickle.dumps((command, [data]))
+        data = cPickle.dumps((command, [data]))
         self._socket.send(struct.pack("I", len(data)) + data)
         (length,) = struct.unpack("I", self._socket.recv(4))
         data = self._socket.recv(length)
-        (resultCode, result) = pickle.loads(data)
+        (resultCode, result) = cPickle.loads(data)
         if resultCode==RESULT_RETURNED:
             return result
@@ -1234,5 +1234,5 @@
                                            lambda value: value * 90.0 /
                                            10001750.0 / 65536.0 / 65536.0,
-                                           lambda word: int(float(word) *
+                                           lambda word: long(float(word) *
                                                              10001750.0 *
                                                              65536.0 * 65536.0 / 90.0))
@@ -1240,5 +1240,5 @@
                                             lambda value: value * 360.0 /
                                             65536.0 / 65536.0 / 65536.0 / 65536.0,
-                                            lambda word: int(float(word) *
+                                            lambda word: long(float(word) *
                                                               65536.0 * 65536.0 *
                                                               65536.0 * 65536.0 /
@@ -1300,5 +1300,5 @@
                                            const.FEETTOMETRES / 65536.0 /
                                            65536.0,
-                                           lambda word: int(float(word) *
+                                           lambda word: long(float(word) *
                                                              const.FEETTOMETRES *
                                                              65536.0 * 65536.0))
@@ -1487,5 +1487,5 @@
             self._valueHandlers["hotkey%d" % (i,)] = ([(0x3210 + i*4, "u")],
                                                       lambda value: "0x%08x" % (value,),
-                                                      lambda word: int(word, 16))
+                                                      lambda word: long(word, 16))
 
         self._valueHandlers["cog"] = ([(0x2ef8, "f")], lambda value: value,
@@ -1537,5 +1537,5 @@
         """Handle unhandle commands."""
         if line=="EOF":
-            print()
+            print
             return self.do_quit("")
         else:
@@ -1548,5 +1548,5 @@
         for name in names:
             if name not in self._valueHandlers:
-                print("Unknown variable: " + name, file=sys.stderr)
+                print >> sys.stderr, "Unknown variable: " + name
                 return False
             valueHandler = self._valueHandlers[name]
@@ -1565,10 +1565,10 @@
                                         else thisResults)
 
-                print(name + "=" + str(value))
+                print name + "=" + str(value)
 
                 index += numResults
                 i+=1
-        except Exception as e:
-            print("Failed to read data: " + str(e), file=sys.stderr)
+        except Exception, e:
+            print >> sys.stderr, "Failed to read data: " + str(e)
 
         return False
@@ -1576,5 +1576,5 @@
     def help_get(self):
         """Print help for the get command."""
-        print("get <variable> [<variable>...]")
+        print "get <variable> [<variable>...]"
 
     def complete_get(self, text, line, begidx, endidx):
@@ -1608,10 +1608,10 @@
             words = argument.split("=")
             if len(words)!=2:
-                print("Invalid argument: " + argument, file=sys.stderr)
+                print >> sys.stderr, "Invalid argument: " + argument
                 return False
 
             (name, value) = words
             if name not in self._valueHandlers:
-                print("Unknown variable: " + name, file=sys.stderr)
+                print >> sys.stderr, "Unknown variable: " + name
                 return False
 
@@ -1625,14 +1625,14 @@
                     data.append((offset, type, values[index]))
                     index += 1
-            except Exception as e:
-                print("Invalid value '%s' for variable %s: %s" % \
-                      (value, name, str(e)), file=sys.stderr)
+            except Exception, e:
+                print >> sys.stderr, "Invalid value '%s' for variable %s: %s" % \
+                      (value, name, str(e))
                 return False
 
         try:
             self._client.write(data)
-            print("Data written")
-        except Exception as e:
-            print("Failed to write data: " + str(e), file=sys.stderr)
+            print "Data written"
+        except Exception, e:
+            print >> sys.stderr, "Failed to write data: " + str(e)
 
         return False
@@ -1640,5 +1640,5 @@
     def help_set(self):
         """Print help for the set command."""
-        print("set <variable>=<value> [<variable>=<value>...]")
+        print "set <variable>=<value> [<variable>=<value>...]"
 
     def complete_set(self, text, line, begidx, endidx):
@@ -1654,12 +1654,12 @@
             value = int(args)
             self._client.setVersion(value)
-            print("Emulating version %d" % (value,))
-        except Exception as e:
-            print("Failed to set the version: " + str(e), file=sys.stderr)
+            print "Emulating version %d" % (value,)
+        except Exception, e:
+            print >> sys.stderr, "Failed to set the version: " + str(e)
 
     def help_setversion(self, usage = False):
         """Help for the setversion command"""
-        if usage: print("Usage:", end=' ')
-        print("setversion <number>")
+        if usage: print "Usage:",
+        print "setversion <number>"
 
     def do_close(self, args):
@@ -1667,7 +1667,7 @@
         try:
             self._client.close()
-            print("Connection closed")
-        except Exception as e:
-            print("Failed to close the connection: " + str(e), file=sys.stderr)
+            print "Connection closed"
+        except Exception, e:
+            print >> sys.stderr, "Failed to close the connection: " + str(e)
 
     def do_failopen(self, args):
@@ -1676,12 +1676,12 @@
             value = self.str2bool(args)
             self._client.failOpen(value)
-            print("Opening will%s fail" % ("" if value else " not",))
-        except Exception as e:
-            print("Failed to set open failure: " + str(e), file=sys.stderr)
+            print "Opening will%s fail" % ("" if value else " not",)
+        except Exception, e:
+            print >> sys.stderr, "Failed to set open failure: " + str(e)
 
     def help_failopen(self, usage = False):
         """Help for the failopen command"""
-        if usage: print("Usage:", end=' ')
-        print("failopen yes|no")
+        if usage: print "Usage:",
+        print "failopen yes|no"
 
     def complete_failopen(self, text, line, begidx, endidx):
